Español

Cómo: Convertir una versión de la solución de add-in de ArcGIS Pro SDK 2.0 a 2.4 para Pro 2.5 y versiones posteriores

Resumen

En la versión 2.5, ArcGIS Pro ha cambiado su versión .NET de destino mínima de 4.6.1 a 4.8. Cuando se realizan cambios de código en un add-in creado con anterioridad en las versiones 2.0 a 2.4, los intentos de compilación generan errores, como se muestra en la imagen siguiente:

Las referencias de ensamblaje de ArcGIS Pro también pueden aparecer rotas:

image of broken references

Procedimiento

  1. Abra las propiedades del proyecto .csproj o .vbproj en Visual Studio
  2. Seleccione la pestaña Aplicación, si no está seleccionada.
  3. Cambie la plataforma de destino combinada de .NET Framework 4.6.1 a 4.8.
  1. Si aparece una advertencia de Cambio de plataforma de destino en Visual Studio, haga clic en .
  1. Asegúrese de que el cuadro de lista Plataforma de destino se encuentra ahora configurado en .NET Framework 4.8.
  1. Abra el add-in Config.daml.
  2. Cambie desktopVersion al final de la línea de su valor actual a 2.5 como se muestra abajo:
Nota:
La versión y el número de compilación de desktopVersion no son importantes
  1. Vuelva a compilar el add-in.
Nota:
Es posible que necesite cerrar y volver a abrir Visual Studio para eliminar cualquier vínculo roto que aparezca en las referencias de ensamblaje de Pro.

Última modificación: 2/4/2020

Id. de artículo: 000022645

Software: ArcGIS Pro 2.5, 2.4.3, 2.4.2, 2.4.1, 2.4, 2.3.3, 2.3.2, 2.3.1, 2.3, 2.2.4, 2.2.3, 2.2.2, 2.2.1, 2.2, 2.1.3, 2.1.2, 2.1.1, 2.1, 2.0.1, 2.0